Package com.independentsoft.office.odf.styles

# Enum Class GenericFontFamily

java.lang.Object
java.lang.Enum<GenericFontFamily>
com.independentsoft.office.odf.styles.GenericFontFamily

All Implemented Interfaces:
  `Serializable`, `Comparable<GenericFontFamily>`, `Constable`

public enum GenericFontFamily extends Enum<GenericFontFamily>
Represents generic font family name.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DECORATIVE`
  The family of decorative fonts.
  `MODERN`
  The family of modern fonts.
  `NONE`
  None
  `ROMAN`
  The family roman fonts (with serifs).
  `SCRIPT`
  The family of script fonts.
  `SWISS`
  The family roman fonts (without serifs).
  `SYSTEM`
  The family system fonts.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GenericFontFamily`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static GenericFontFamily[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ROMAN

    public static final GenericFontFamily ROMAN
    The family roman fonts (with serifs).

  - ### SWISS

    public static final GenericFontFamily SWISS
    The family roman fonts (without serifs).

  - ### MODERN

    public static final GenericFontFamily MODERN
    The family of modern fonts.

  - ### DECORATIVE

    public static final GenericFontFamily DECORATIVE
    The family of decorative fonts.

  - ### SCRIPT

    public static final GenericFontFamily SCRIPT
    The family of script fonts.

  - ### SYSTEM

    public static final GenericFontFamily SYSTEM
    The family system fonts.

  - ### NONE

    public static final GenericFontFamily NONE
    None

- ## Method Details

  - ### values

    public static GenericFontFamily[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GenericFontFamily valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null